package modules.dataflow;

import utils.*;
import simulator.*;
import java.util.*;
import modules.codegas.*;
import modules.gradient.*;
import modules.line.*;
import modules.node.*;
import java.awt.*;

public class DFNConstant extends DFNode {
  Object c;

  public DFNConstant(double id, Object v, DFNPort io) {
    super(id,io); c=v;
  }

  Hashtable execute(Object callID,ActiveGradient ag) {
    return sendToAll(ag,callID,c);
  }

}

